View Issue Details

IDProjectCategoryView StatusLast Update
0000895mantisbtemailpublic2014-11-07 14:59
Reporter111Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000895: bugzilla type diff email instead of full bug each time.
Description

One nice feature of bugzilla is the way that it shows you in an email what has changed in a bug, by showing you before and after. For example, below you can see exactly what was changed.

-OS: Linux
+OS: GNU/Linux [Other]
OS Details: Redhat 7.1 Ximian Gnome 1.4
Status: NEW
Resolution:
-Severity:
+Severity: Unknown
Priority: Cosmetic
Component: Shell

TagsNo tags attached.

Relationships

related to 0004278 new Summary email vs detailed email 
related to 0013692 new Extending e-mail notifications with a short summary of changed properties 

Activities

morganiq

morganiq

2004-04-20 14:45

reporter   ~0005393

I second this. To me, the primary purpose of emails in a bug tracker is to convey updates. If when reading an update email one has to repeatedly skip large blocks of information that has not changed, it lowers the usability of the email feature drastically.

That said, I'm sure there are folks who prefer the entire contents of a bug to be sent in an email. That, in addition to the volume of other individual feature requests pertaining to the email feature, leads me to believe that perhaps a major redesign of the email feature is in order, to accommodate very detailed customization -- perhaps through a set of template-style config files?

DGtlRift

DGtlRift

2004-10-05 07:42

reporter   ~0007906

Resolved with patch included in issue 0004278

anarcat

anarcat

2005-08-04 12:05

reporter   ~0011070

well, the summary email is interesting, but I like much more the way Bugzilla works: you get only the information you need, and not the whole history of the bug..

illes

illes

2005-09-16 08:10

reporter   ~0011378

+1 vote for diff email (if it counts....?)

giallu

giallu

2007-09-16 12:55

reporter   ~0015644

@ DGtlRift:

This looks anything but fixed, so I'm moving Resoution to "open"

Are you still working/willing to work on this?

siebrand

siebrand

2009-06-13 04:00

developer   ~0022122

Unassigning this after more than 4 years being assigned without a resolution.

DGtlRift

DGtlRift

2009-08-18 14:36

reporter   ~0022752

Okay, I've been on quite a haitous for some time burried in a corporate project - but I will have some time in the next couple of weeks to put some effort into this. @Giallu, I've seen the wiki notes, but there doesn't seem to be a consensus on what should be done? Is this dependent on a templates system or is it still stand alone?

giallu

giallu

2009-09-01 05:53

reporter   ~0022841

sorry for the delay. here is my 0.02 on the topic.

I would not consider a templates system to be a prerequisite for implementing this. We just need to not hardwire presentation code ion the feature's logic so we can later plug-in whatever templating system we may add to mantis.

Please feel free to have a look at the current code and see if you can make up a plan, I will be more than happy to help you on this.

atrol

atrol

2012-08-08 15:46

developer   ~0032519

Unassigned after years of inactivity

Issue History

Date Modified Username Field Change
2004-04-20 14:45 morganiq Note Added: 0005393
2004-09-02 14:47 jlatour Relationship added related to 0004278
2004-09-05 17:31 DGtlRift Assigned To => DGtlRift
2004-10-05 07:42 DGtlRift Note Added: 0007906
2004-10-05 07:42 DGtlRift Reporter rep => 111
2004-10-05 07:42 DGtlRift Status acknowledged => assigned
2004-10-05 07:42 DGtlRift Resolution open => fixed
2005-08-04 12:05 anarcat Note Added: 0011070
2005-09-16 08:10 illes Note Added: 0011378
2007-09-16 12:55 giallu Note Added: 0015644
2007-09-16 12:55 giallu Resolution fixed => open
2009-06-13 04:00 siebrand Note Added: 0022122
2009-06-13 04:00 siebrand Assigned To DGtlRift =>
2009-06-13 04:00 siebrand Status assigned => new
2009-08-18 14:36 DGtlRift Note Added: 0022752
2009-09-01 05:53 giallu Note Added: 0022841
2009-09-01 08:58 DGtlRift Status new => assigned
2009-09-01 08:58 DGtlRift Assigned To => DGtlRift
2012-04-08 16:51 dregad Relationship added related to 0013692
2012-08-08 15:46 atrol Assigned To DGtlRift =>
2012-08-08 15:46 atrol Note Added: 0032519
2012-08-08 15:46 atrol Status assigned => new
2014-05-25 17:25 grangeway Assigned To => grangeway
2014-05-25 17:25 grangeway Status new => acknowledged
2014-11-07 14:59 atrol Assigned To grangeway =>